Run Amazon Product Offers
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-amazon-product-offers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"asin": "B004YAVF8I",
"domain": "amazon.com"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-amazon-product-offers"
payload = {
"asin": "B004YAVF8I",
"domain": "amazon.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({asin: 'B004YAVF8I', domain: 'amazon.com'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-amazon-product-offers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "eeeeeeee-eeee-eeee-eeee-eeeeeeeeeeee",
"kind": "amazon_product_offers",
"asin": "B004YAVF8I",
"domain": "amazon.com",
"human": "# Amazon product offers\n\n- **ASIN:** B004YAVF8I\n- **Domain:** amazon.com\n- **Offers returned:** 2\n- **Page weight:** 3.31 MB",
"machine": {
"total_items": 2,
"offers": [
{
"asin": "B004YAVF8I",
"price": 13.97,
"currency": "$",
"savings_percent": 22,
"condition": "New",
"condition_note": null,
"ships_from": "Amazon.com",
"sold_by": "Amazon.com",
"is_prime": true,
"delivery": "FREE delivery Thursday, September 10",
"seller": {
"id": null,
"name": "Amazon.com",
"rating": null,
"rating_count": null,
"positive_percent": null
}
},
{
"asin": "B004YAVF8I",
"price": 8.94,
"currency": "$",
"savings_percent": null,
"condition": "Used - Acceptable",
"condition_note": null,
"ships_from": "Amazon.com",
"sold_by": "Amazon Resale",
"is_prime": false,
"delivery": "FREE delivery Thursday, September 10",
"seller": {
"id": null,
"name": "Amazon Resale",
"rating": null,
"rating_count": null,
"positive_percent": null
}
}
],
"page_weight_bytes": 3466210
},
"total_points": 5
}Data Sources
Run Amazon Product Offers
Fetches all marketplace offers for an Amazon product by ASIN: price, condition, seller, and delivery.
POST
/
functions
/
v1
/
run-amazon-product-offers
Run Amazon Product Offers
